org.apache.sysds.runtime.transform.encode

## Class EncoderFactory

- java.lang.Object
- - org.apache.sysds.runtime.transform.encode.EncoderFactory

    public class EncoderFactory
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`EncoderFactory()`

### Method Summary

All Methods Static Methods Concrete Methods
`static MultiColumnEncoder` `createEncoder(String spec, String[] colnames, int clen, FrameBlock meta)`
`static MultiColumnEncoder` `createEncoder(String spec, String[] colnames, int clen, FrameBlock meta, int minCol, int maxCol)`
`static MultiColumnEncoder` `createEncoder(String spec, String[] colnames, Types.ValueType[] schema, FrameBlock meta)`
`static MultiColumnEncoder` `createEncoder(String spec, String[] colnames, Types.ValueType[] schema, FrameBlock meta, int minCol, int maxCol)`
`static MultiColumnEncoder` `createEncoder(String spec, String[] colnames, Types.ValueType[] schema, int clen, FrameBlock meta)`
`static ColumnEncoder` `createInstance(int type)`
`static int` `getEncoderType(ColumnEncoder columnEncoder)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EncoderFactory

    public EncoderFactory()

### Method Detail

#### createEncoder

    public static MultiColumnEncoder createEncoder(String spec,
                                                   String[] colnames,
                                                   int clen,
                                                   FrameBlock meta)

#### createEncoder

    public static MultiColumnEncoder createEncoder(String spec,
                                                   String[] colnames,
                                                   int clen,
                                                   FrameBlock meta,
                                                   int minCol,
                                                   int maxCol)

#### createEncoder

    public static MultiColumnEncoder createEncoder(String spec,
                                                   String[] colnames,
                                                   Types.ValueType[] schema,
                                                   int clen,
                                                   FrameBlock meta)

#### createEncoder

    public static MultiColumnEncoder createEncoder(String spec,
                                                   String[] colnames,
                                                   Types.ValueType[] schema,
                                                   FrameBlock meta)

#### createEncoder

    public static MultiColumnEncoder createEncoder(String spec,
                                                   String[] colnames,
                                                   Types.ValueType[] schema,
                                                   FrameBlock meta,
                                                   int minCol,
                                                   int maxCol)

#### getEncoderType

    public static int getEncoderType(ColumnEncoder columnEncoder)

#### createInstance

    public static ColumnEncoder createInstance(int type)